Subject: Re: [ipfix] [issue] INFO-30 Normative status of section 6 vs.Appendix A

From: "Jeff Meyer" <[email-masked]>
Date: Thu, 29 Jan 2004 09:47:44 -0800

Juergen,

  I agree few protocols have formal model specs.  SNMP, however, which has 
as a key value proposition the means of extensibility chose to define MIBs, 
quite formal. MIBs also suffer somewhat from difficulty in reading along 
with some other issues inherited from ASN.1 which are improved by XML.

  Since I believe one of the key aspects of IPFIX is the mechanism for 
extension, I think we should learn from another IETF protocol which seemed 
rather successful in addressing this requirement.

  So, I think maintaining the connection between the mechanism which is 
available today in IPFIX-info to formally specify the model is important, if 
there is an interest in drawing others to extend IPFIX with information 
content which differs from IPFIX's initial focus.

  One approach would be to break out another document as part of IPFIX, 
which would be something like  "Formal IPFIX Information Modeling".  But I'm 
not particularly eager to create another document.

-- Jeff

>From: Juergen Quittek <[email-masked]>
>To: Jeff Meyer <[email-masked]>, [email-masked]
>CC: [email-masked], [email-masked]
>Subject: Re: [ipfix] [issue] INFO-30 Normative status of section 6 
>vs.Appendix A
>Date: Thu, 29 Jan 2004 12:30:58 +0100
>
>Jeff,
>
>We had this entire discussion already some time ago.
>
>For me, the main argument is that all IETF standards so far
>are human-readable.  The XML document in the Appendix is hardly
>readable, while section 6 is well readable.
>
>You are requesting to move from a human-readable standard
>to a machine-readable standard.  I understand that there are
>several good reasons to do so.  But the change in the
>standardization approach is fundamental.
>
>This might be an issue for the ietf@ieft mailing list.
>However, so far very few protocols or models in the IETF
>have been formally defined. Looks like still the 'running
>code' approach dominates the 'well specified' approach.
>
>Regards,
>
>     Juergen
>
>--On 28.01.2004 19:53 h -0800 Jeff Meyer wrote:
>
>>Nevil,
>>
>>   My only contention would be that I did not do any direct data entry for 
>>section 6.  I.e. I wrote the XML-Schema ran it through the publicly 
>>available stylesheet and free transform engine and pasted it into the doc.
>>
>>   Certainly it would be my hope that authors of additional information 
>>models to be carried over IPFIX would follow the same process, because 
>>then I can simply take their XML-Schema spec and use it in a variety of 
>>tools.  If I only get text, then I
>>have the tedious prospect of transcribing it.  If equipment providers 
>>favor a manual transcription process, it is certainly not precluded.
>>
>>   My understanding was that PSAMP might be using the XML technique today, 
>>I believe it was Juergen who asked about the tools and I passed along the 
>>pointer.
>>
>>   If it is politically simpler to call section 6 normative but indicate 
>>that authors of new models SHOULD create an XML-Schema model and MAY 
>>machine translate these models to create the normative text, then I could 
>>live with such a compromise.
>>
>>   Simply excising this information as Stewart seems to be advocating 
>>seems like a step backwards and I'm at a loss to see any benefit from 
>>that.
>>
>>Regards,
>>
>>   Jeff Meyer
>>
>>
>>>From: Nevil Brownlee <[email-masked]>
>>>To: Jeff Meyer <[email-masked]>
>>>CC: [email-masked], [email-masked]
>>>Subject: Re: [ipfix] [issue] INFO-30 Normative status of section 6
>>>vs.Appendix A
>>>Date: Thu, 29 Jan 2004 13:02:07 +1300
>>>
>>>Stewart and Jeff:
>>>
>>> >   With the use of XSL stylesheets the XML style informaiton model 
>>>could
>>>be
>>> > transformed automatically into any set of text one would want, e.g. 
>>>IOS
>>> > commands to enable flags, HTML tables for presentation, RFC2629 
>>>entries
>>>in
>>> > an RFC document, etc.  For a discussion and example of using free XSL
>>>tools
>>> > to process this you can see
>>> > http://www.ipdr.org/documents/ipfix/infomodel/README.html.
>>>
>>>Jeff's right in saying that XML is becoming more widely used within the
>>>IETF, as evidenced by RFC 2629 and the fact that more WGs (espcially
>>>in the Applications Area) are using it.
>>>
>>>However, RFC 2629 explicitly says it doesn't address "IETF politics"
>>>issues.  My take on that is that the text in section 6 of the Info Model
>>>draft is the normative version; Appendix A gives the xml because people
>>>may find it useful, but if they use it they should check that it really
>>>does match the (normative) text version.
>>>
>>>As for IPFIX WG consensus on this, in my view the document editors
>>>are free to use whatever tools they need to produce the actual drafts.
>>>Furthermore, including the xml as an appendix allows other people to
>>>use the xml for other purposes, which (I guess) is why the editors
>>>appended it to the draft.
>>>
>>>Does that make the situation clearer?
>>>
>>>-----------------------------------------------------------------------
>>>    Nevil Brownlee                   Director, Technology Development
>>>    Phone: +64 9 373 7599 x88941     ITSS, The University of Auckland
>>>    FAX: +64 9 373 7021      Private Bag 92019, Auckland, New Zealand
>>>
>>>
>>>-------------------------------------------------
>>>This mail sent through University of Auckland
>>>http://www.auckland.ac.nz/
>>>
>>>--
>>>Help        mailto:[email-masked] and say "help" in message
>>>body
>>>Unsubscribe mailto:[email-masked] and say
>>>"unsubscribe ipfix" in message body
>>>Archive     http://ipfix.doit.wisc.edu/archive/
>>
>>_________________________________________________________________
>>Learn how to choose, serve, and enjoy wine at Wine @ MSN. 
>>http://wine.msn.com/
>>
>>
>>--
>>Help        mailto:[email-masked] and say "help" in message 
>>body
>>Unsubscribe mailto:[email-masked] and say
>>"unsubscribe ipfix" in message body
>>Archive     http://ipfix.doit.wisc.edu/archive/
>
>
>
>

_________________________________________________________________
There are now three new levels of MSN Hotmail Extra Storage!  Learn more. 
http://join.msn.com/?pgmarket=en-us&page=hotmail/es2&ST=1

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/